<div style="margin-top: 20px;">
    <div class="col-md-8 col-sm-8">

        <h3>{{ userSales }}</h3>
    </div>
    <p-dataTable
    [value]="prospectKorsals"
                [editable]="true"
                [rows]="itemsPerPage"
                [pageLinks]="5"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idProspect"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                [(selection)]="selected">
    <p-header>

    </p-header>

    <p-column  selectionMode="multiple" [style]="{'width':'38px'}">
        </p-column>
    <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
    <p-column header="{{'mpmApp.mechanic.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.person.name'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.person.firstName}} {{rowData.person.lastName}}
        </ng-template>
    </p-column>
    <!-- <p-column header="{{'mpmApp.mechanic.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="delete(rowData.idPartyRole)"
                    icon="fa-remove"
                    class="ui-button-danger">
            </button>
        </ng-template>
    </p-column> -->
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
           <hr style="margin-top:50px">
            <div class="col-md-12">
                <button type="button" class="btn btn-primary btn-block" (click)="delete()" > Hapus </button>
                <button type="button" class="btn btn-primary btn-block" (click)="assign()" > Kirim Ke Sales </button>
            </div>
</div>

<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>
